package ink.wgink.module.form.pojo.pos.docno;

/**
 *
 * @ClassName: DocNoPO
 * @Description: 文号
 * @Author: CodeFactory
 * @Date: 2022-06-24 15:06:48
 * @Version: 3.0
 **/
public class DocNoPO {

    private String docNoId;
    private String title;
    private String summary;
    private String type;
    private String template;
    private Integer startNu;
    private Integer nuLength;
    private Integer isActive;
    private String gmtCreate;
    private String creator;
    private String gmtModified;
    private String modifier;
    private Integer isDelete;

    public String getDocNoId() {
        return docNoId == null ? "" : docNoId.trim();
    }

    public void setDocNoId(String docNoId) {
        this.docNoId = docNoId;
    }

    public String getTitle() {
        return title == null ? "" : title.trim();
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary == null ? "" : summary.trim();
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getType() {
        return type == null ? "" : type.trim();
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTemplate() {
        return template == null ? "" : template.trim();
    }

    public void setTemplate(String template) {
        this.template = template;
    }

    public Integer getStartNu() {
        return startNu == null ? 0 : startNu;
    }

    public void setStartNu(Integer startNu) {
        this.startNu = startNu;
    }

    public Integer getNuLength() {
        return nuLength == null ? 0 : nuLength;
    }

    public void setNuLength(Integer nuLength) {
        this.nuLength = nuLength;
    }

    public Integer getIsActive() {
        return isActive == null ? 0 : isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
